tw.com.prolific.pl2303ghidsdk

## Enum UartSetting.Parity

- java.lang.Object
- - java.lang.Enum<UartSetting.Parity>
  - - tw.com.prolific.pl2303ghidsdk.UartSetting.Parity

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<UartSetting.Parity>
  Enclosing class:
    UartSetting

      public static enum UartSetting.Parity
      extends java.lang.Enum<UartSetting.Parity>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EVEN`
    `MARK`
    `NONE`
    `ODD`
    `SPACE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static UartSetting.Parity` | `valueOf(int nValue)`
    `static UartSetting.Parity` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static UartSetting.Parity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final UartSetting.Parity NONE

    - #### ODD

          public static final UartSetting.Parity ODD

    - #### EVEN

          public static final UartSetting.Parity EVEN

    - #### MARK

          public static final UartSetting.Parity MARK

    - #### SPACE

          public static final UartSetting.Parity SPACE

  - ### Method Detail

    - #### values

          public static UartSetting.Parity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UartSetting.Parity c : UartSetting.Parity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UartSetting.Parity valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static UartSetting.Parity valueOf(int nValue)

    - #### getValue

          public int getValue()